--- #definitions for YAML
- library: '&IDL_MochaBaseSystem;'
  instances:
  - instance: '&IDC_Class;'
    templateOnly: yes
    customTagName: 'class'
    registerForTemplate: yes
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    relationships:
    - instance: '&IDR_Class__has_super__Class;'
      customTagName: 'superclasses'
    - instance: '&IDR_Class__has_default__Task;'
      customTagName: 'defaultTask'
    - instance: '&IDR_Class__has_related__Task;'
      customTagName: 'relatedTasks'
    - instance: '&IDR_Class__instances_labeled_by__Executable_returning_Attribute;'
      customTagName: 'instancesLabeledByRAMB'
    - instance: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      customTagName: 'accessModifierId'
    - instance: '&IDR_Instance__for__Module;'
      customTagName: 'moduleId'
    - instance: '&IDR_Class__uses_preview__Executable_returning_Element;'
      customTagName: 'previewElementId'
    translations:
      - relationship: '&IDR_Class__has_title__Translation;'
        values:
          - language: '&IDI_Language_English;'
          - value: 'Class'

  - class: '&IDC_Class;'
    name: Class
    index: 1
    defaultTask: '&IDI_Task_ViewClass;'
    relatedTasks:
    - instance: '&IDI_Task_ViewClass;'
    - instance: '&IDI_Task_EditClass;'